import ParameterTypes from "@site/src/components/ParameterTypes"

# FileServiceGetUploadStreamResult

 **FileServiceGetUploadStreamResult**: `Object`

## Index signature

▪ [x: `string`]: `unknown`

## Type declaration

<ParameterTypes parameters={[
  {
    "name": "fileKey",
    "type": "`string`",
    "description": "",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "promise",
    "type": "Promise&#60;any&#62;",
    "description": "",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "url",
    "type": "`string`",
    "description": "",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "writeStream",
    "type": "`stream.PassThrough`",
    "description": "",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} />
